
Figure - Bug #116005
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114577 (New): Launcher/SystemUI

【AF】【EVT2】【设置】设置 - 应用 - 应用详情中，“通知”页面中的应用图标与“权限”“存储和缓存”
页面中的应用图标大小不统一
2023-02-07 19:36 - CD Test赵飞

Status: CLOSED Start date: 2023-02-07

Priority: Normal Due date:

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0072.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-02-09

Test Type: ST Root cause: 图标获取方式和页面头布局不一致导致。

Description

【前提条件】

1、设备已开机

【测试步骤】

1、进入设置 - 应用 - 所有应用

2、点击任意一个应用，例如“日历”

3、点击“通知”，查看页面中应用图标显示

4、返回再点击“权限”、“存储和缓存”，查看页面中应用图标显示

【预期结果】

4、各个页面中的应用图标大小统一

【实际结果】

4、“通知”页面中的应用图标明显偏大

【日志】

截图见附件

History

#1 - 2023-02-07 19:42 - CD FW-廖涛

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#2 - 2023-02-08 18:12 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

180262 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:SettingsLib: Fix app info detail page icon size.TC-RID: 1201-0201813IssueID: TS-R-BUG-116005Change-Id: I0723f57935d3c7b9ea97887c610af985d9df54fe
#3 - 2023-02-08 18:13 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

180246 general/platform/packages/modules/P

ermission

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Permission: Fix app info detail page icon size.TC-RID: 1201-0201813IssueID: TS-R-BUG-116005Change-Id: I39548bcd97404244d1d40a4b2dd1126311cce9ae

#4 - 2023-02-08 18:13 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

180245 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix app info detail page icon size.TC-RID: 1201-0201813IssueID: TS-R-BUG-116005Change-Id: Ia8b7ed05564c769baa473b9560c939415b5a7ae4

#5 - 2023-02-08 18:14 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-08

- Root cause set to 图标获取方式和页面头布局不一致导致。

■ Current conclusion

已处理，代码已入库。

■ My analysis

图标获取方式和页面头布局不一致导致。

■ Next action

测试验证。

#6 - 2023-02-08 23:38 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

180380 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangxl0510@thundersoft.com

Revert AF:SettingsLib: Fix app info detail page icon size.This reverts commit a4c6961adcb6ddb542295b0e183bc034c6d60b58.TC-RID: 1201-0201813IssueID:

TS-R-BUG-116005Change-Id: Ifd654352ac27822a39136221d56307df2bd80ee5
#7 - 2023-02-08 23:38 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

180198 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangxl0510@thundersoft.com

Revert AF:Settings: Fix app info detail page icon size.This reverts commit 211923b96d7999011ba13af2ea008fb0ea6ece91.TC-RID: 1201-0201813IssueID:

TS-R-BUG-116005Change-Id: I6b93aaf80a75060a0caad72b5220b7db231c6cdd

#8 - 2023-02-08 23:38 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

180199 general/platform/packages/modules/P

ermission

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangxl0510@thundersoft.com

Revert AF:Permission: Fix app info detail page icon size.This reverts commit af61f27d770caa79e1101136bee8f2be5d30ae2e.TC-RID: 1201-0201813IssueID:

TS-R-BUG-116005Change-Id: I92d374621487078a425bb0ffe48d4518a22d328c

#9 - 2023-02-09 13:45 - CD FW-廖涛

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from CD Test赵飞 to CD FW-廖涛

- Resolution changed from FIXED to --

#10 - 2023-02-09 18:51 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

180575 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:SettingsLib: Fix app info detail page icon size.TC-RID: 1201-0201813IssueID: TS-R-BUG-116005Change-Id: If9ff45fd9c20bc259bf370ae07bd8d972f692d20

#11 - 2023-02-09 18:51 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

180576 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix app info detail page icon size.TC-RID: 1201-0201813IssueID: TS-R-BUG-116005Change-Id: Ia36d3235e60b74e6d1f6733c8e97f9baeadc66cb
#12 - 2023-02-09 18:51 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

180574 general/platform/packages/modules/P

ermission

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Permission: Fix app info detail page icon size.TC-RID: 1201-0201813IssueID: TS-R-BUG-116005Change-Id: Iea460ff1e8c92c0c8b119ac054e1385eea4d25ad

#13 - 2023-02-09 18:52 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD Test赵飞

- Resolution changed from -- to FIXED

- Fixed Version changed from 2023-02-08 to 2023-02-09

■ Current conclusion

已处理，代码已入库。

■ My analysis

图标获取方式和页面头布局不一致导致。

■ Next action

测试验证。

#14 - 2023-02-10 10:53 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302100501

验证结果：PASS

#15 - 2023-02-10 10:54 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

Files

Screenshot_20230207-051021.png 519 KB 2023-02-07 CD Test赵飞

Screenshot_20230207-051030.png 498 KB 2023-02-07 CD Test赵飞
